--- title: "Edit temporary domain" slug: "analytics-cloudsearch-changetempdomain" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-changetempdomain" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit temporary domain **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Edits a temporary domain created in Cloud Search. ``` PUT https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/tempdomain/{name} ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Temporary domain name | ### Request Body | Field | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Required | string | Only English alphabet, numbers, "_" and "-" are allowed. The name must start with an alphabetical character or "_", and must be between 3 and 20 characters in length. | Temporary domain name | | description | Optional | string | 0-100 characters | Temporary domain description | | type | Optional | string | Select one of the following: small, medium, large, xlarge, xxlarge, and xxxlarge (default: small). | Scale of containers | | indexerCount | Optional | number | The only available value is 1 for now. | Number of containers handling indexes | | searcherCount | Optional | number | Min: 1, Max: 4 | Number of containers handling searches | | schema.document | Optional | [Schema](/docs/en/common-apidatatype-csschema) | Search settings | | ## Response ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully edited) | | 200 | Bad Request | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` PUT https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/tempdomain/pet PUT /CloudSearch/real/v1/tempdomain/pet HTTP/1.1 Host:cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: xVOvK4FCVVnosrQtbbHUpwCJ1xZTOrD/vd8UeTZKaHk= x-ncp-apigw-timestamp: 1545874294204 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi { "name": "pet", "description": "search engine for pet", "type": "large", "indexerCount": 1, "searcherCount": 1, "schema": { "document": { "primarySectionName": "petid", "sections": [{ "name": "petid", "docProperties": [{ "type": "string", "name": "dp_petid" }] }, { "name": "type", "docProperties": [{ "type": "string", "name": "dp_type" }] }, { "name": "name", "docProperties": [{ "type": "string", "name": "dp_name" }] }, { "name": "age", "docProperties": [{ "type": "int8", "name": "dp_age" }] }, { "name": "birth", "docProperties": [{ "type": "string", "name": "dp_birth" }] } ], "indexes": [{ "name": "petid_name", "documentTermWeight": "sum_wgt", "buildInfos": [{ "name": "index_build_0", "sections": [ "petid" ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "indexProcessors": [{ "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" }] }] }] } } } ``` ### Request Example ``` {"result":"ok"} ```